Table of Contents

## Name

XtGetApplicationNameAndClass - retrieve application name and class

## Syntax

void XtGetApplicationNameAndClass(Display* display, String*
  name_return, String* class_return);

## Arguments

Specifies an open display connection that has been initialized with XtDisplayInitialize.

Returns the application name.

Returns the application class.

## Description

XtGetApplicationNameAndClass returns the application anme and class passed to XtDisplayInitialize for the specified display. If the display was never initialized or has been closed, the result is undefined. The returned strings are owned by the Intrinsics and must not be modified or freed by the caller.

## See Also

X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also